ValueObject File Reference
`#include <osg/Object>`
`#include <osg/UserDataContainer>`
`#include <osg/BoundingBox>`
`#include <osg/BoundingSphere>`
`#include <typeinfo>`

Go to the source code of this file.

## Classes

class | osg::ValueObject
class | osg::ValueObject::GetValueVisitor
class | osg::ValueObject::SetValueVisitor
class | osg::GetScalarValue< T >
class | osg::GetScalarValue< bool >
class | osg::SetScalarValue< T >
struct | osg::ValueObjectClassNameTrait< T >
class | osg::TemplateValueObject< T >

## Namespaces

namespace | osg

## Macros

#define | OSG_VALUEOBJECT 1
#define | META_ValueObject(TYPE, NAME)

## Functions

| osg::META_ValueObject (std::string, StringValueObject) META_ValueObject(bool
BoolValueObject | osg::META_ValueObject (char, CharValueObject) META_ValueObject(unsigned char
BoolValueObject UCharValueObject | osg::META_ValueObject (short, ShortValueObject) META_ValueObject(unsigned short
BoolValueObject UCharValueObject UShortValueObject | osg::META_ValueObject (int, IntValueObject) META_ValueObject(unsigned int
BoolValueObject UCharValueObject UShortValueObject UIntValueObject | osg::META_ValueObject (float, FloatValueObject) META_ValueObject(double
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject | osg::META_ValueObject (Vec2f, Vec2fValueObject) META_ValueObject(Vec3f
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject | osg::META_ValueObject (Vec4f, Vec4fValueObject) META_ValueObject(Vec2d
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject | osg::META_ValueObject (Vec3d, Vec3dValueObject) META_ValueObject(Vec4d
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject | osg::META_ValueObject (Quat, QuatValueObject) META_ValueObject(Plane
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject | osg::META_ValueObject (Matrixf, MatrixfValueObject) META_ValueObject(Matrixd
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject | osg::META_ValueObject (BoundingBoxf, BoundingBoxfValueObject) META_ValueObject(BoundingBoxd
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject | osg::META_ValueObject (BoundingSpheref, BoundingSpherefValueObject) META_ValueObject(BoundingSphered
template<class P, class T>
T * | osg::getOrCreateUserObjectOfType (P *parent)

## Macro Definition Documentation

## META_ValueObject

#define META_ValueObject | ( |  | TYPE,
|  |  | NAME )

Value:
template<> struct ValueObjectClassNameTrait<TYPE> { static const char* className() { return #NAME; } }; \
typedef TemplateValueObject<TYPE> NAME;

## OSG_VALUEOBJECT

#define OSG_VALUEOBJECT 1